/* CTA  */
.cta-section {
    position: relative;
    background: var(--primary);
    color: var(--white-text);
    padding: 130px 0;
}

.cta-section::before {
    content: '';
    position: absolute;
    top: -110px;
    background: url(../assets/greenmountain-logo-shape.svg);
    background-size: contain;
    right: 7%;
    width: 598px;
    height: 232px;
    background-repeat: no-repeat;
    z-index: 2;
}

.gm-container-offset-left {
    padding: 0px 120px 0px 220px;
}

.cta-section-heading {
    color: var(--white-text);
    font-size: 2rem;
    line-height: 1.4;
    margin-bottom: 0;
}

.gm-cta-button a {
    border: 2px solid #ffffff;
    font-size: 1.2rem;
    line-height: 1;
    display: inline-block;
    font-weight: 400;
    padding: 20px 45px 15px;
    border-radius: 60px;
    position: relative;
    white-space: nowrap;
}

.gm-cta-button:first-child a {
    background: #ffffff;
    color: var(--primary);
    min-width: 250px;
}

.gm-cta-button:last-child a {
    background: transparent;
    color: var(--always-white) !important;
    text-decoration: none !important;
}

.gm-cta-button a:before {
    font-family: 'icomoon' !important;
    speak: never;
    font-style: normal;
    font-weight: normal;
    font-variant: normal;
    text-transform: none;
    -webkit-font-smoothing: antialiased;
    -moz-osx-font-smoothing: grayscale;
    content: "\e900";
    float: right;
    margin-left: 30px;
    font-size: 1.5rem;
    line-height: 1;
    margin-top: -3px;
}

.gm-footer-social ul {
    list-style: none;
    padding: 0;
    margin: 0;
    display: flex;
}

.gm-footer-social ul li {
    line-height: 1;
}

.gm-footer-social ul li:not(:last-child) {
    margin-right: 20px;
}

.gm-footer-social ul li a {
    display: inline-block;
    font-size: 2.2rem;
    transform: all var(--button-transitions);
    color: var(--primary);
}

.gm-footer-social ul li a:hover {
    opacity: 0.9;
}

.gm-instagram-icon {
    width: 35px;
    height: 35px;
    line-height: 1;
}

.gm-instagram-icon a {
    width: 35px;
    height: 35px;
    background: var(--primary);
    border-radius: var(--border-radius-elements);
    display: flex !important;
    align-items: center;
    justify-content: center;
}

.gm-instagram-icon svg {
    max-width: 18px;
    width: 18px;
    fill: var(--always-white) !important;
}

.footer-content_heading {
    font-size: 1.8rem;
    line-height: 1.1;
    font-weight: 400;
    margin-bottom: 0;
    color: var(--primary);
}

.gm-footer-content {
    padding: 40px 0 30px;
    position: relative;
}

.gm-footer-content::before {
    content: '';
    position: absolute;
    width: 480px;
    height: 370px;
    background: url(../assets/Footer-isomatric.svg) top right;
    background-repeat: no-repeat;
    right: 0;
    top: 0;
    z-index: -5;
}


.gm-footer-bottm {
    padding-bottom: 40px;
    font-size: 1rem;
    line-height: 1.3;
    color: var(--headings);
    font-weight: 400;
}

.footer-nav-grid {
    max-width: 900px;
    margin-left: auto;
    margin-right: auto;
    margin-top: 50px;
    display: flex;
}

.gm-footer-widget-title {
    font-size: 1.3rem;
    line-height: 1;
    font-weight: 500;
    color: var(--primary);
    margin-bottom: 20px;
}

.gm-footer-menu {
    list-style: none;
    padding: 0;
    margin: 0;
    text-align: left;
}

.gm-footer-menu li {
    margin-bottom: 5px;
    display: block;
}

.gm-footer-menu li a,
.gm-footer-menu li a:visited {
    color: var(--headings);
    font-size: 1rem;
    line-height: 1.1;
    display: inline-block;
    font-weight: 400;
    text-decoration: none;
}

.gm-footer-menu li a:hover {
    text-decoration: underline;
    color: var(--primary);
}

/* Back to top button  */
.back-to-top {
    position: fixed;
    bottom: 15px;
    right: 15px;
    width: 40px;
    padding: 10px 5px;
    min-height: 40px;
    line-height: 1;
    font-size: 1.5rem;
    text-transform: uppercase;
    text-align: center;
    z-index: 9999;
    opacity: 0.9;
    background: var(--primary);
    color: #fff;
    cursor: pointer;
    -webkit-transition: all 0.35s ease;
    -o-transition: all 0.35s ease;
    transition: all 0.35s ease;
    -webkit-backface-visibility: visible;
    backface-visibility: visible;
    -webkit-transform: translate3d(0, 0, 0);
    transform: translate3d(0, 0, 0);
    -webkit-transform: translateY(100px);
    -ms-transform: translateY(100px);
    transform: translateY(100px);
    border-radius: var(--border-radius-elements);
}

.back-to-top.in {
    -webkit-transform: translateY(0px);
    -ms-transform: translateY(0px);
    transform: translateY(0px);
}

.back-to-top:hover {
    background: var(--primary);
    color: #fff;
    opacity: 1;
}

.back-to-top span {
    margin-top: 5px;
}

.gm-footer {
    border-top: 1px solid var(--secondary-lighter-green);
    position: relative;
    overflow: hidden;
}

@media (min-width: 768px) and (max-width: 991.98px) {
    .gm-container-offset-left {
        padding: 0px 30px 0px 30px;
    }
}

@media (max-width: 1399.98px) {
    .gm-container-offset-left {
        padding: 0px 30px 0px 30px;
    }
}

@media screen and (prefers-color-scheme: dark) {
    .cta-section-heading {
        color: var(--always-white);
    }
}

@media (min-width: 640px) {
    .uk-grid-column-xxl>* {
        padding-left: 30px;
    }
}

@media (min-width: 960px) {
    .uk-grid-column-xxl>* {
        padding-left: 80px;
    }

    .gm-footer-nav.uk-first-column {
        padding-left: 40px;
    }
}

@media (min-width: 1200px) {
    .uk-grid-column-xxl>* {
        padding-left: 120px;
    }

    .gm-footer-nav.uk-first-column {
        padding-left: 40px;
    }
}

@media (min-width: 1600px) {
    .uk-grid-column-xxl>* {
        padding-left: 140px;
    }

    .gm-footer-nav.uk-first-column {
        padding-left: 40px;
    }
}

/* devices (portrait phones, less than 576px) */
@media (max-width: 639.98px) {
    .gm-footer-heading {
        text-align: left;
    }

    .gm-container-offset-left {
        padding: 0px;
    }

    .gm-cta-button a {
        width: 100%;
    }

    .footer-content_heading {
        font-size: 1.5rem;
    }

    .uk-button {
        text-align: left;
    }

    .uk-grid-column-xxl>* {
        padding-left: 30px;
    }

    .cta-section-heading {
        font-size: 1.8rem;
    }

    .cta-section::before {
        top: -65px;
        right: 0%;
        width: 310px;
        height: 130px;
        z-index: 1 !important;
    }

}

@media screen and (prefers-color-scheme: dark) {
    .footer-logo-path {
        fill: var(--svg-logo-fill);
    }

    .gm-footer-content {
        fill: var(--svg-logo-fill);
    }

    #Footer-isomatric path {
        fill: var(--svg-logo-fill);
    }

    .gm-footer-menu li a,
    .gm-footer-menu li a:visited {
        color: var(--primary-light-text);
    }

}